Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## orarend
Class Tanar

    java.lang.Object
      orarend.Tanar

    public class Tanar

extends java.lang.Object

Tanárokat reprezentáló osztály

Author:
  Csipkés László

Field Summary
`protected java.lang.String` | `nev`
`protected java.lang.Long` | `oktkod`
`protected Osztaly` | `osztaly`
`protected int` | `szuletesi_ev`

Constructor Summary
`Tanar()` Üres konstruktor
`Tanar(java.lang.String nev, int szul_ev)` Tanárt létrehozó konstruktor

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getNev()`
`java.lang.Long` | `getOktkod()`
`Osztaly` | `getOsztaly()`
`int` | `getSzuletesi_ev()`
`void` | `setNev(java.lang.String nev)`
`void` | `setOktkod(java.lang.Long id)`
`void` | `setOsztaly(Osztaly o)`
`void` | `setSzuletesi_ev(int szul_ev)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### oktkod

    protected java.lang.Long oktkod

### nev

    protected java.lang.String nev

### osztaly

    protected Osztaly osztaly

### szuletesi_ev

    protected int szuletesi_ev

Constructor Detail

### Tanar

    public Tanar()

  Üres konstruktor

### Tanar

    public Tanar(java.lang.String nev,
                 int szul_ev)

  Tanárt létrehozó konstruktor

  Parameters:
    `nev` - neve
    `szul_ev` - születési éve

Method Detail

### setNev

    public void setNev(java.lang.String nev)

### getNev

    public java.lang.String getNev()

### getOktkod

    public java.lang.Long getOktkod()

### setOktkod

    public void setOktkod(java.lang.Long id)

### getOsztaly

    public Osztaly getOsztaly()

### setOsztaly

    public void setOsztaly(Osztaly o)

### setSzuletesi_ev

    public void setSzuletesi_ev(int szul_ev)

### getSzuletesi_ev

    public int getSzuletesi_ev()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD